## class SG_EXPORT osg::ConvexPlanarOccluder

> A class for representing convex clipping volumes made up.

## Inheritance:

### Public Methods

ConvexPlanarOccluder()
ConvexPlanarOccluder(const ConvexPlanarOccluder& cpo, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Object(osg, ConvexPlanarOccluder)
void setOccluder(const ConvexPlanarPolygon& cpp)
ConvexPlanarPolygon& getOccluder()
const ConvexPlanarPolygon& getOccluder() const
void addHole(const ConvexPlanarPolygon& cpp)
HoleList& getHoleList()
const HoleList& getHoleList() const

### Public Members

typedef std::vector<ConvexPlanarPolygon> HoleList

### Protected Fields

ConvexPlanarPolygon _occluder
HoleList _holeList

### Protected Methods

~ConvexPlanarOccluder()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object*) const
virtual const char* libraryName() const
virtual const char* className() const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> A class for representing convex clipping volumes made up. When adding planes, their normals should point inwards (into the volume)

`ConvexPlanarOccluder()`

`ConvexPlanarOccluder(const ConvexPlanarOccluder& cpo, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Object(osg, ConvexPlanarOccluder)`

`void setOccluder(const ConvexPlanarPolygon& cpp)`

`ConvexPlanarPolygon& getOccluder()`

`const ConvexPlanarPolygon& getOccluder() const`

`typedef std::vector<ConvexPlanarPolygon> HoleList`

`void addHole(const ConvexPlanarPolygon& cpp)`

`HoleList& getHoleList()`

`const HoleList& getHoleList() const`

`~ConvexPlanarOccluder()`

`ConvexPlanarPolygon _occluder`

`HoleList _holeList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.